Bug 65975 - [PATCH] www/junkbuster: fix gnuregex warnings
Summary: [PATCH] www/junkbuster: fix gnuregex warnings
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Volker Stolz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-26 02:40 UTC by Andrey Slusar
Modified: 2004-04-30 15:17 UTC (History)
0 users

See Also:


Attachments
junkbuster.diff (4.06 KB, patch)
2004-04-26 02:40 UTC, Andrey Slusar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Slusar 2004-04-26 02:40:19 UTC
	===>  Extracting for junkbuster-2.0.2_2
	>> Checksum OK for ijb-zlib-10.tgz.
	===>  Patching for junkbuster-2.0.2_2
	===>  Applying FreeBSD patches for junkbuster-2.0.2_2
	===>  Configuring for junkbuster-2.0.2_2
	===>  Building for junkbuster-2.0.2_2
	cc -O2 -pipe -march=athlon-xp -I.  -DREGEX -DSTDC_HEADERS -DHAVE_STRING  -c jcc.c
	In file included from jcc.c:46:
	/usr/include/gnuregex.h:31:2: warning: #warning "Use -I/usr/include/gnu and <regex.h> instead of <gnuregex.h>"
	cc -O2 -pipe -march=athlon-xp -I.  -DREGEX -DSTDC_HEADERS -DHAVE_STRING  -c parsers.c
	In file included from parsers.c:22:
	/usr/include/gnuregex.h:31:2: warning: #warning "Use -I/usr/include/gnu and <regex.h> instead of <gnuregex.h>"

How-To-Repeat: 	N/A
Comment 1 Volker Stolz freebsd_committer 2004-04-29 14:40:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vs

I'll handle this.
Comment 2 Volker Stolz freebsd_committer 2004-04-30 15:16:05 UTC
State Changed
From-To: open->closed

I fixed this in a different way since we have to make sure 
it's right on -STABLE as well. 
Thanks for your submission!